"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "skimage/viewer/__init__.py" between
scikit-image-0.19.1.tar.gz and scikit-image-0.19.2.tar.gz

About: scikit-image is a collection of algorithms for image processing in Python.

__init__.py  (scikit-image-0.19.1):__init__.py  (scikit-image-0.19.2)
from .._shared.utils import warn from .._shared.utils import warn
from .._shared._dependency_checks import has_mpl from .._shared._dependency_checks import has_mpl
from .qt import has_qt from .qt import has_qt
if not has_qt: if not has_qt:
warn('Viewer requires Qt') warn('viewer requires Qt')
if has_mpl: if has_mpl:
from .viewers import ImageViewer, CollectionViewer from .viewers import ImageViewer, CollectionViewer
else: else:
ImageViewer, CollectionViewer = None, None ImageViewer, CollectionViewer = None, None
warn('Viewer requires matplotlib', stacklevel=2) warn('viewer requires matplotlib<3.5; '
'please consider moving to another tool such as napari as the '
'viewer module will be removed in version 1.0.', stacklevel=2)
__all__ = ['ImageViewer', 'CollectionViewer'] __all__ = ['ImageViewer', 'CollectionViewer']
 End of changes. 2 change blocks. 
2 lines changed or deleted 4 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)